
import datetime
import time
import message_pb2 as message
import google.protobuf.text_format as tf
import CheckCommand as CC
import threading

# 状态消息接收器参数
statu_ex_keys = [
    "statu_ex:in_mcpu_1_statu_port",
    "statu_ex:in_mcpu_2_statu_port",
    # "statu_ex:in_mcpu_3_statu_port",
    # "statu_ex:in_mcpu_4_statu_port",
    # "statu_ex:in_mcpu_5_statu_port",
    # "statu_ex:in_mcpu_6_statu_port",
    "statu_ex:measure_1_statu_port",
    "statu_ex:measure_2_statu_port",
    # "statu_ex:measure_3_statu_port",
    # "statu_ex:measure_4_statu_port",
    # "statu_ex:measure_5_statu_port",
    # "statu_ex:measure_6_statu_port",
    "statu_ex:dispatch_1_statu_port"
    # "statu_ex:dispatch_2_statu_port	",
    # "statu_ex:dispatch_3_statu_port	"
]
# mq参数
mq_ip = "192.168.1.233"
mq_port = 5672
mq_user = "zx"
mq_password = "zx123456"
ex_name = "command_ex"
# 消息发送器
g_sender = cmt.RabbitProducer(mq_ip, mq_port, mq_user, mq_password)
# 状态消息接收器
g_statu = cmt.StatuConsumer(mq_ip, mq_port, mq_user, mq_password)


if __name__ == '__main__':


    statu=message.table_statu()
    statu.statu_description="SUCCEND"
    #
    # measure_info=message.measure_info()
    # measure_info.cx=0.1
    # measure_info.cy=0.2
    # measure_info.theta=3.0
    # measure_info.length=4.5
    # measure_info.width=1.8
    # measure_info.height=1.4
    # measure_info.wheelbase=2.77
    # measure_info.border_statu=0

    parkcmd=message.park_table()
    parkcmd.statu.CopyFrom(statu)
    parkcmd.car_number="WA6X3B0"
    parkcmd.unit_id=1
    parkcmd.terminal_id=1
    # parkcmd.entrance_measure_info.CopyFrom(measure_info)

    print(tf.MessageToString(parkcmd,as_utf8=True))

    g_sender.send(tf.MessageToString(parkcmd,as_utf8=True),"command_ex","user_command_port")
    # 消费指令消息
    # cmd_callbacks={"user_command_queue":user_command_callback}
    # cmd_consumer = cmt.RabbitConsumerAsync(mq_ip, mq_port, mq_user, mq_password, cmd_callbacks)
    # cmd_consumer.start()
    # g_statu.set_statu_consume(statu_ex_keys)
    # g_statu.start()
    # g_sender.start()
    #
    #
    #
    #
    #
    #
    # cmd_consumer.join()
    # g_statu.join()
    # g_sender.join()

